For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Online API
    • API Environments
    • Direct Payment Flow
    • REST
    • HTTPS
    • Dates
    • Pagination
    • Authentication
    • Idempotent Requests
    • Timeouts
    • API Simulator
  • Models
    • Introduction
    • Contact Object
    • Consumer Object
    • Discount Object
    • Item Object
    • Money Object
    • Order Details Object
    • Payment Object
    • Refund Object
    • Shipping Courier Object
  • Service Status
    • GETPing
  • Configuration
    • GETGet Configuration
  • Orders
    • Introduction
    • GETGet Order
    • POSTCreate Order
  • Javascript afterpay.js
    • Information
    • Redirect Method
  • Payments
    • Introduction
    • POSTCapture Payment
    • PUTUpdate Shipping Courier
    • GETGet Payment By Order ID
    • GETGet Payment By Token
    • GETList Payment(s)
    • POSTCreate Refund
    • PUTUpdate Payment by Order ID
    • POSTReverse Payment By Token
  • Errors
    • Introduction
    • Get Errors
    • Put/Post Errors
  • Reference
      • POSTCapture Payment
      • POSTCreate Refund
      • GETGet Payment By Order ID
      • GETGet Payment By Token
      • GETList Payments
      • POSTReverse Payment
      • PUTUpdate Courier
      • PUTUpdate Payment
LogoLogo
ReferencePayments

Get Payment By Token

GET
https://global-api-sandbox.afterpay.com/v1/payments/token::token
GET
/v1/payments/token::token
$curl https://global-api-sandbox.afterpay.com/v1/payments/token:token \
> -H "User-Agent: User-Agent" \
> -u "<username>:<password>"
1{}
This endpoint retrieves an individual payment along with its order details. ### Connection Timeouts | Timeout | Time (Seconds) | | ------- | ------------ | | Open | 10 | | Read | 20 |
Was this page helpful?
Previous

List Payments

Next
Built with

This endpoint retrieves an individual payment along with its order details.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

tokenstringRequired
Order token that was used to complete payment.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Response

Returns a Payment object in response.

Errors

404
Not Found Error